Intelligence Hub
Get Run
Inspect analysis status, verified results, coverage, budget and source changes. Access to the run and underlying sources is checked on every read.
GET
/
api
/
public
/
v1
/
intelligence-hub
/
runs
/
{run_id}
Get Run
curl --request GET \
--url https://api.userintuition.ai/api/public/v1/intelligence-hub/runs/{run_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.userintuition.ai/api/public/v1/intelligence-hub/runs/{run_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.userintuition.ai/api/public/v1/intelligence-hub/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.userintuition.ai/api/public/v1/intelligence-hub/runs/{run_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.userintuition.ai/api/public/v1/intelligence-hub/runs/{run_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.userintuition.ai/api/public/v1/intelligence-hub/runs/{run_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.userintuition.ai/api/public/v1/intelligence-hub/runs/{run_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"detail": "<unknown>",
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "not_started",
"recovery_action": "<string>",
"docs_url": "<string>"
}
}{
"detail": "<unknown>",
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "not_started",
"recovery_action": "<string>",
"docs_url": "<string>"
}
}Authorizations
Authenticate with an API key (prefixed ui_sk_) or a JWT token from the dashboard.
Headers
Choose an organization you belong to for scoped reads, writes, and billing. Users can belong to multiple organizations. Platform administrators may select any organization in this app.
Maximum string length:
128Path Parameters
Response
Successful Response
Was this page helpful?
⌘I
Get Run
curl --request GET \
--url https://api.userintuition.ai/api/public/v1/intelligence-hub/runs/{run_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.userintuition.ai/api/public/v1/intelligence-hub/runs/{run_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.userintuition.ai/api/public/v1/intelligence-hub/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.userintuition.ai/api/public/v1/intelligence-hub/runs/{run_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.userintuition.ai/api/public/v1/intelligence-hub/runs/{run_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.userintuition.ai/api/public/v1/intelligence-hub/runs/{run_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.userintuition.ai/api/public/v1/intelligence-hub/runs/{run_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"detail": "<unknown>",
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "not_started",
"recovery_action": "<string>",
"docs_url": "<string>"
}
}{
"detail": "<unknown>",
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "not_started",
"recovery_action": "<string>",
"docs_url": "<string>"
}
}
